package com.xinelu.manage.domain.appfileinfo;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;


/**
 * 护理员App文件管理对象 app_file_info
 *
 * @author xinyilu
 * @date 2022-11-15
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "护理员App文件管理对象", description = "app_file_info")
public class AppFileInfo extends BaseDomain implements Serializable {
    private static final long serialVersionUID = 1816389724122943745L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称")
    @Excel(name = "文件名称")
    private String fileName;

    /**
     * 文件对外下载路径
     */
    @ApiModelProperty(value = "文件对外下载路径")
    @Excel(name = "文件对外下载路径")
    private String fileUrl;

    /**
     * 服务器本地路径
     */
    @ApiModelProperty(value = "服务器本地路径")
    @Excel(name = "服务器本地路径")
    private String fileLocalPath;

    /**
     * 版本号
     */
    @ApiModelProperty(value = "版本号")
    @Excel(name = "版本号")
    private String fileVersion;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fileName", getFileName())
                .append("fileUrl", getFileUrl())
                .append("fileVersion", getFileVersion())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
